Subject: Re: [PATCH v2 3/9] refs: extract out reflog config to generic layer

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 23 Apr 2026 10:52:21 +0200

On Thu, Apr 23, 2026 at 10:40:32AM +0200, Karthik Nayak wrote:
> The reference backends need to know when to create reflog entries, this
> is dictated by the 'core.logallrefupdates' config. Instead of relying on
> the backends to call `repo_settings_get_log_all_ref_updates()` to obtain
> this config value, let's do this in the generic layer and pass down the
> value to the backends.

Great, this is now a ton easier to review. Thanks!

Patrick